# spec file for package DeepLearningToga-1.5.21a (Version 1.4.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        A very strong, UCI compatible Chess engine ("learning" multiprocessor version)
Name:           DeepLearningToga-1.5.21a
Version:        1.5.21a
Release:        0.pm.1.1
License:        GPL v2 or later
Group:          Amusements/Games/Board/Chess
URL:            http://alpha.uhasselt.be/Research/Algebra/Toga/linux_versions/
Source:         DeepLearningToga%{version}.tar.bz2
Source1:	x%{name}
Source2:	%{name}.sh
Source3:	%{name}-polyglot.sh
Source4:	toga2.6
Source5:	%{name}.ini
Source6:	Performance.bin
Patch0:		%{name}-Makefile.patch
Patch1:         %{name}-egbb_path.patch
Patch2:		%{name}-fix_linking.patch
Patch3:		%{name}-name.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++ dos2unix
AutoReqProv:    on
Recommends:	polyglot xboard

%description
TogaII is an improved version of the well known UCI chess engine fruit and was based on fruit's last OSS version 2.1.
As togaII uses UCI (universal chess interface, UCI) you will need a uci-compliant user interface to play against toga2.
You can also use polyglot as an "UCI to xboard"-adapter to use togaII with xboard-compatible programs.
TogaII's ELO-rating is about 2800 points.

This version is derived from 1.4.1 and aimed at multi processor machines and has a learning mode implemented.

By default the number of cpu's is detected automatically, so you can also use this on a single core machine.
The ini-file for polyglot is set to 2 cores by default, which is safe as it will be ignored if you are running
DeepLearningToga via polyglot (i.e. with xboard) on a single core machine.
If you have a machine with more than two cores and want to use all of them, just set this

Threads = 2

to the amount of cores you have.

In scid use "Configure UCI engine" option when configuring the engine (Tools => Analysis Engine => New/Edit) and set 
"Number of Threads" accordingly. 

Learning mode is disabled by default in the ini-File for polyglot:

Use Learn = false
Generate Learn = true
Information File = toga_info.finf

If "Use Learn" is set to "true", learning will be enabled. Beware, that this will create a growing file 
"/home/Your_Username/.DeepLearningToga-1.5.21a/toga_info.finf", check the size of that file regularly!

The startup scripts "xDeepLearningToga-1.5.21a" and "DeepLearningToga-1.5.21a" will create the file "toga_info.finf" in $HOME/.DeepLearningToga-1.5.21a/ automatically.

For scid set the appropriate parameters with the "Configure UCI engine" option when configuring the engine 
(Tools => Analysis Engine => New/Edit) and use _absolute_ paths (/home/Your_Username/.DeepLearningToga-1.5.21a/)

It is recommended to use the same path as for xboard/polyglot to combine the learning results.

See "/usr/share/doc/packages/DeepLearningToga-1.5.21a/readme.txt" for more details.

Authors:
--------
		Fabien Letouzey (Fruit 2.1), Thomas Gaksch (Toga II), Daniel Shawul (egbb code), Chris Formula (SE enhancements), Jerry Donald (JD enhancements).
		William H. Mowery Jr. <WHMoweryJr@yahoo.com> (this version)
		Oliver Korff <ok@xynyx.de> (manual page)
		Marc Lacrosse (opening book "Performance.bin")



%prep
%setup -q -n src
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

mv copying\ Version\ 2\ June\ 1991.txt COPYING
dos2unix readme.txt COPYING

%build
# use Performance.bin as default book with UCI
sed -i 's/performance\.bin/Performance\.bin/g' option.cpp
%{__make}

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 755 toga2 $RPM_BUILD_ROOT%{_bindir}/%{name}.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/x%{name}
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}-polyglot
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_mandir}/man6/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man6/toga2.6* 
%doc readme.txt COPYING
%{_bindir}/*%{name}*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Mon Aug 31 2009 AxelKoellhofer@web.de
- added a polyglot startup script (i.e. for use with xboard)
  simply typing "xboard -fcp DeepLearningToga-1.5.21a-polyglot" (engine = white) 
  or "xboard -scp DeepLearningToga-1.5.21a-polyglot" (engine = black) will work
* Sat Aug 29 2009 AxelKoellhofer@web.de
- first build for openSUSE, version 1.5.21a

